"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.launcher = void 0;
const esm_1 = __importDefault(require("esm"));
const startTime = process.hrtime();
// Load Config
const esm = esm_1.default(module, {
    cjs: {
        dedefault: true
    }
});
const nuxtConfig = esm('__NUXT_CONFIG__');
// Create nuxt
const { Nuxt } = require('@nuxt/core__NUXT_SUFFIX__');
const nuxt = new Nuxt({
    _start: true,
    ...nuxtConfig
});
// Start nuxt initialization process
let isReady = false;
const readyPromise = nuxt.ready().then(() => {
    isReady = true;
    const hrTime = process.hrtime(startTime);
    const hrTimeMs = ((hrTime[0] * 1e9) + hrTime[1]) / 1e6;
    // eslint-disable-next-line no-console
    console.log(`λ Cold start took: ${hrTimeMs}ms`);
}).catch((error) => {
    // eslint-disable-next-line no-console
    console.error('λ Error while initializing nuxt:', error);
    process.exit(1);
});
// Create bridge and start listening
const { Server } = require('http'); // eslint-disable-line import/order
const { Bridge } = require('./vercel__bridge.js');
const server = new Server(async (req, res) => {
    if (!isReady) {
        await readyPromise;
    }
    nuxt.server.app(req, res);
});
const bridge = new Bridge(server);
bridge.listen();
exports.launcher = bridge.launcher;
